<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->

<p:panel xmlns="http://www.w3.org/1999/xhtml"
         xmlns:ui="http://java.sun.com/jsf/facelets"
         xmlns:f="http://java.sun.com/jsf/core"
         xmlns:h="http://java.sun.com/jsf/html"
         xmlns:fn="http://java.sun.com/jsp/jstl/functions"
         xmlns:p="http://primefaces.org/ui">

    <h:form id="gestionarFichaMatrizForm" 
            onkeypress="return event.keyCode != 13;">

        <p:messages id="msgFichaMatriz" showDetail="false" globalOnly="false" />		
        <h:panelGrid width="100%" columnClasses="alinearVertical">

            <h:panelGrid rendered="#{gestionDetalleAvaluo.habilitaMsjHistYRegZonas}">

                <p style="font-size: 10px;color: #9F6000; border: 1px solid; background-color: #FEEFB3;
                   margin: 10px 0px; padding: 10px 10px 10px 10px; border-bottom-left-radius: 8px;
                   border-top-right-radius: 8px; border-bottom-right-radius: 8px; border-top-left-radius: 8px;
                   white-space: pre-line">

                    #{gestionDetalleAvaluo.msjZonasFichaMatriz}
                </p>
            </h:panelGrid>

            <p:fieldset>
                <legend>
                    <h:outputLabel
                        value="Predios asociados a la ficha "
                        styleClass="legendTitle" /> 
                </legend>
                <p:spacer height="20" />
                <p:dataTable var="predioTerreno"
                             emptyMessage="No existen generalidades almacenadas"
                             value="#{managedBeanParam.fichaMatriz.PFichaMatrizPredioTerrenos}"
                             id="prediosTerrenoTable" rowKey="#{predioTerreno.id}" paginator="true"
                             rows="5" paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             >

                    <p:column>
                        <f:facet name="header">Opciones</f:facet>

                        <p:commandButton title="Ver"
                                         onstart="statusDialog2.show();"
                                         action="#{consultaPredio.cleanAllMB}"
                                         oncomplete="statusDialog2.hide(); 
                                         dpCC:detallePredioWV.show();"
                                         update=":dpCC:detallesPredioTV"

                                         immediate="true" ajax="true" icon="ui-icon-search">
                            <f:setPropertyActionListener value="#{predioTerreno.predio}"
                                                         target="#{consultaPredio.selectedPredio1}" />
                        </p:commandButton> 

                    </p:column>

                    <p:column>
                        <f:facet name="header">Número predial</f:facet>
                        <h:outputText value="#{predioTerreno.numeroPredialOrigen}">
                            <f:converter converterId="numeroPredialConverter" />
                        </h:outputText>
                    </p:column>
                    <p:column>
                        <f:facet name="header">Dirección principal</f:facet>
                        <h:outputText value="#{predioTerreno.direccionPrincipalOrigen}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Matrícula inmobiliaria</f:facet>
                        <h:outputText value="#{predioTerreno.matriculaOrigen}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Área total<br /> terreno
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText
                                value="#{predioTerreno.areaTotalTerrenoOrigen}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </div>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Área construida<br /> privada
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText 
                                value="#{predioTerreno.areaConstruidaPrivadaOrigen}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </div>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Área construida<br /> común
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText
                                value="#{predioTerreno.areaConstruidaComunOrigen}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </div>
                    </p:column>
                    <p:column>
                        <f:facet name="header">Estado</f:facet>
                        <h:outputText value="#{predioTerreno.cancelaInscribe == 'I'?'ACTIVO':'MANTIENE'}" />
                    </p:column>

                </p:dataTable>

                <p:spacer height="10" />

            </p:fieldset>




            <p:fieldset>
                <legend> <h:outputLabel value="Matrícula inmobiliaria"
                                        styleClass="legendTitle" /> </legend>

                <h:panelGrid columns="2" cellspacing="5" cellpadding="5"
                             id="matriculaInmobiliariaFichaMatrizPanelGrid">
                    <h:outputLabel value="Matrícula inmobiliaria: "
                                   styleClass="outputLabelStyle" />
                    <h:panelGrid columns="3">

                        <h:inputText
                            value="#{(proyectarConservacion.predioSeleccionado.esPredioFichaMatriz) ? proyectarConservacion.predioSeleccionado.circuloRegistral.codigo : proyectarConservacion.circuloRegistralFichaMatriz.codigo}"
                            id="circuloRegistralMatriculaInmobiliariaFichaMatriz"
                            disabled="true" label="Círculo registral"
                            style="width:30px;height:14px;" />

                        <h:outputText value="-" />

                        <h:inputText
                            value="#{(proyectarConservacion.predioSeleccionado.esPredioFichaMatriz) ? proyectarConservacion.predioSeleccionado.numeroRegistro : proyectarConservacion.matriculaPredioFichaMatriz }"
                            id="matriculaInmobiliariaFichaMatriz" disabled="true"
                            label="Número de registro de matrícula inmobiliaria"
                            style="width:100px;height:14px;" />

                    </h:panelGrid>

                    <p:commandButton update=":detalleMatriculaForm" value="Modificar"
                                     oncomplete="detalleRegistroWV.show()" immediate="true"
                                     rendered="#{!proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                                 and !proyectarConservacion.tramite.cancelacionPredio 
                                                 and !proyectarConservacion.tramite.quintaOmitido
                                                 and !proyectarConservacion.tramite.quintaMasivo 
                                                 and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                                     process="@this" action="#{proyectarConservacion.cargarMatricula}"
                                     disabled="#{entradaProyeccion.tramite.terceraMasiva}"
                                     id="modificarMatriculaFichaMatrizBtn"
                                     icon="ui-icon ui-icon-pencil" title="Editar">
                    </p:commandButton>
                </h:panelGrid>			
            </p:fieldset>

        </h:panelGrid>


        <h:panelGrid width="100%" columnClasses="alinearVertical">
            <p:fieldset>
                <legend> <h:outputLabel value="Dirección / Nombre predio"
                                        styleClass="legendTitle" /> </legend>					
                <h:panelGrid columns="2" cellspacing="3" cellpadding="3"
                             id="panelDirFichaM">

                    <h:outputLabel value="Nombre condominio: "
                                   styleClass="outputLabelStyle"
                                   rendered="#{proyectarConservacion.tramite.tipoInscripcionCondominio}" />
                    <h:outputLabel value="Nombre PH: " styleClass="outputLabelStyle"
                                   rendered="#{proyectarConservacion.tramite.tipoInscripcionPH}" />
                    <h:inputTextarea
                        rendered="#{proyectarConservacion.tramite.tipoInscripcionCondominio or proyectarConservacion.tramite.tipoInscripcionPH}"
                        cols="95" rows="1"
                        disabled="#{(rc.dh 
                                    or entradaProyeccion.tramite.terceraMasiva
                                    or proyectarConservacion.tramite.quintaMasivo  
                                    or !proyectarConservacion.predioSeleccionado.esPredioFichaMatriz)
                                    and !proyectarConservacion.tramite.englobeVirtual}"
                        id="nombrePHOCondominioFichaMatriz"
                        onkeydown="controlarNroChars(this, 245, true)"
                        value="#{proyectarConservacion.nombrePredioFichaMatriz}"
                        label="Nombre PH/Condominio">
                        <f:validateLength maximum="245" />
                    </h:inputTextarea>
                </h:panelGrid>

                <h:panelGrid cellspacing="3" cellpadding="3" id="panelBtnDirFichaM">
                    <p:commandButton update="panelDirFichaM" value="Guardar nombre"
                                     disabled="#{(rc.dh or entradaProyeccion.tramite.terceraMasiva 
                                                 or proyectarConservacion.tramite.quintaMasivo) 
                                                 and !proyectarConservacion.tramite.englobeVirtual}" 
                                     id="guardarNombrePHOCondominioBtn"
                                     process="@this,panelDirFichaM" onstart="statusDialog2.show()"
                                     oncomplete="statusDialog2.hide()"
                                     rendered="#{!proyectarConservacion.tramite.cancelacionPredio and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo and !proyectarConservacion.tramite.quintaOmitido and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                                     action="#{entradaProyeccion.guardarActualizarNombresPPredioFichaMatriz}"
                                     icon="ui-icon-disk" title="Guardar nombre del predio">
                    </p:commandButton>
                </h:panelGrid>

                <div style="overflow: auto; width: 50%;">
                    <h:panelGrid cellspacing="3" cellpadding="3" width="100%">
                        <p:dataTable var="pPredioDireccion"
                                     value="#{proyectarConservacion.predioSeleccionadoDirecciones}"
                                     rowKey="#{pPredioDireccion.id}"
                                     id="tablaPredioDireccionesFichaMatriz"
                                     selection="#{proyectarConservacion.pPredioDireccionSeleccionado}"
                                     paginator="true" rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     emptyMessage="No se encuentra dirección de PH/ Condominio"
                                     selectionMode="single">

                            <p:column headerText="Acciones"
                                      rendered="#{!proyectarConservacion.tramite.cancelacionPredio and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}">
                                <p:commandButton update=":detalleDireccionForm"
                                                 oncomplete="detalleDireccionWV.show()" process="@this"
                                                 id="modificarDireccionFichaMatrizBtn" 
                                                 rendered="#{!proyectarConservacion.tramite.quintaOmitido}"
                                                 icon="ui-icon ui-icon-pencil" 
                                                 disabled="#{(rc.dhDireccion and rc.dhDireccionMatriz) or proyectarConservacion.tramite.quintaMasivo}"
                                                 action="#{proyectarConservacion.entrarAModoEdicionDyR}" title="Editar">
                                    <f:setPropertyActionListener value="#{pPredioDireccion}"
                                                                 target="#{proyectarConservacion.pPredioDireccionSeleccionado}" />
                                    <f:setPropertyActionListener value="true"
                                                                 target="#{proyectarConservacion.editModeBool}" />

                                    <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                                    height="13" width="13"
                                                    rendered="#{pPredioDireccion.cancelaInscribe=='C'}"
                                                    title="Cancelado #{pPredioDireccion.id}" />
                                    <p:graphicImage value="/imagesColorCircles/datoFinal.png"
                                                    height="13" width="13"
                                                    rendered="#{pPredioDireccion.cancelaInscribe=='I'}"
                                                    title="Inscrito #{pPredioDireccion.id}" />
                                    <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                                    height="13" width="13"
                                                    rendered="#{pPredioDireccion.cancelaInscribe=='M'}"
                                                    title="Asociado/Modificado #{pPredioDireccion.id}" />
                                </p:commandButton>

                                <p:commandButton id="eliminarDireccionFichaMatrizBtn"
                                                 process="@this"
                                                 update=":tabView1:gestionarFichaMatrizForm:tablaPredioDireccionesFichaMatriz"
                                                 disabled="#{proyectarConservacion.validacionDireccionBool or pPredioDireccion.principal eq 'SI' or (rc.dhDireccion and rc.dhDireccionMatriz)}"
                                                 oncomplete="handleCompleteSIC(xhr, status,args, confirmEliminarDireccionWV, true);"
                                                 icon="ui-icon-trash" title="Eliminar">
                                    <f:setPropertyActionListener value="#{pPredioDireccion}"
                                                                 target="#{proyectarConservacion.pPredioDireccionSeleccionado}" />
                                </p:commandButton>
                            </p:column>

                            <p:column headerText="Dirección">
                                <h:outputText value="#{pPredioDireccion.direccion}"
                                              styleClass="outputTextStyle" />
                            </p:column>

                            <p:column headerText="Principal">
                                <p:commandButton update=":tabView1:gestionarFichaMatrizForm:msgFichaMatriz, 
                                                 :tabView1:gestionarFichaMatrizForm"
                                                 disabled="#{pPredioDireccion.principal eq 'SI' 
                                                             or (rc.dhDireccionPrincipal and rc.dhDireccionPrincipalMatriz)
                                                             or proyectarConservacion.tramite.cancelacionPredio 
                                                             or proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                                             or !proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                                                 process="@this" ajax="true" immediate="true"
                                                 icon="#{pPredioDireccion.principal eq 'SI' ? 'ui-icon-check' : 'ui-icon-radio-on'}"
                                                 id="direccionPrincipalFichaMatriz" title="Cambiar principal"
                                                 action="#{proyectarConservacion.cambiarPrincipal}">
                                    <f:setPropertyActionListener value="#{pPredioDireccion}"
                                                                 target="#{proyectarConservacion.pPredioDireccionSeleccionado}" />
                                </p:commandButton>
                            </p:column>

                        </p:dataTable>

                        <p:commandButton update=":detalleDireccionForm"
                                         value="Adicionar dirección" oncomplete="detalleDireccionWV.show()"
                                         immediate="true" id="adicionarDireccionFichaMatrizBtn"
                                         disabled="#{(rc.dhDireccion and rc.dhDireccionMatriz) or proyectarConservacion.tramite.quintaMasivo}"
                                         action="#{proyectarConservacion.reiniciarVariables}"
                                         rendered="#{!proyectarConservacion.tramite.cancelacionPredio and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo and !proyectarConservacion.tramite.quintaOmitido and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                                         icon="ui-icon-plus" title="Adicionar dirección">
                            <f:setPropertyActionListener value="false"
                                                         target="#{proyectarConservacion.editModeBool}" />
                        </p:commandButton>
                    </h:panelGrid>
                </div>			
            </p:fieldset>
        </h:panelGrid>


        <h:panelGrid width="100%" id="panelAreasFM">
            <p:fieldset>
                <legend> <h:outputLabel value="Información de áreas"
                                        styleClass="legendTitle" /> </legend>					
                <div style="overflow: auto; width: 80%;">
                    <p:spacer height="10" width="0"/>

                    <h:panelGrid columns="4" width="100%" columnClasses="colMediana">

                        <h:outputLabel value="Area total terreno: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="4" cellspacing="5">
                            <h:outputText value="#{managedBeanParam.areaTotalTerrenoHa}"
                                          id="totalTerrenoHA"
                                          rendered="#{managedBeanParam.predioRuralBool}"
                                          style="width:50px;height:14px;" />
                            <h:outputLabel value="Ha" styleClass="outputLabelStyle"
                                           rendered="#{managedBeanParam.predioRuralBool}" />
                            <h:outputText value="#{managedBeanParam.areaTotalTerrenoM2}"
                                          id="totalTerrenoM2FichaMatriz" style="width:50px;height:14px;" >
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                        <h:outputLabel value="Area total construida: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="2" cellspacing="5">
                            <h:outputText value="#{managedBeanParam.areaTotalConstruidaM2}"
                                          id="totalConstruidaM2" 
                                          style="width:50px;height:14px;" />
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                        <h:outputLabel value="Area total terreno privada: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="4" cellspacing="5">
                            <h:outputText
                                value="#{managedBeanParam.areaTotalTerrenoPrivadaHa}"
                                id="totalTerrenoPrivadaHA" 
                                rendered="#{managedBeanParam.predioRuralBool}"
                                style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="Ha" styleClass="outputLabelStyle"
                                           rendered="#{managedBeanParam.predioRuralBool}" />

                            <h:outputText
                                value="#{managedBeanParam.areaTotalTerrenoPrivadaM2}"
                                id="totalTerrenoPrivadaM2" 
                                style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                        <h:outputLabel value="Area total construida privada: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="4" cellspacing="5">
                            <h:outputText
                                value="#{managedBeanParam.areaTotalConstruidaPrivadaM2}"
                                id="totalConstruidaPrivadaM2" 
                                style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                        <h:outputLabel value="Area total terreno común: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="4" cellspacing="5">
                            <h:outputText value="#{managedBeanParam.areaTotalTerrenoComunHa}"
                                          id="totalTerrenoComunHA" 
                                          rendered="#{managedBeanParam.predioRuralBool}"
                                          style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="Ha" styleClass="outputLabelStyle"
                                           rendered="#{managedBeanParam.predioRuralBool}" />
                            <h:outputText value="#{managedBeanParam.areaTotalTerrenoComunM2}"
                                          id="totalTerrenoComunM2" 
                                          style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                        <h:outputLabel value="Area total construida común: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGrid columns="4" cellspacing="5">
                            <h:outputText
                                value="#{managedBeanParam.areaTotalConstruidaComunM2}"
                                id="totalConstruidaComunM2" 
                                style="width:50px;height:14px;">
                            </h:outputText>
                            <h:outputLabel value="m2" styleClass="outputLabelStyle" />
                        </h:panelGrid>

                    </h:panelGrid>
                </div>
            </p:fieldset>
        </h:panelGrid>

        <h:panelGrid width="100%" id="panelZonas">
            <p:fieldset>
                <legend> <h:outputLabel
                        value="Unidades de zonas homogéneas" styleClass="legendTitle" /> </legend>

                <div style="overflow: auto; width: 80%;">
                    <h:panelGrid cellspacing="3" cellpadding="3" width="100%">
                        <p:spacer height="10" />
                        <p:dataTable var="unidadZonaHomogenea"
                                     value="#{managedBeanParam.zonasHomogeneas}"
                                     rowKey="#{managedBeanParam.zonasHomogeneas.id}"
                                     id="tablaUnidadesZonasHomogeneasFichaMatriz" paginator="true"
                                     rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     emptyMessage="No existen zonas homogéneas a mostrar">

                            <p:column rendered="#{unidadZonaHomogenea.cancelaInscribe != null}">
                                <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                                height="13" width="13"
                                                rendered="#{unidadZonaHomogenea.cancelaInscribe=='C'}"
                                                title="Cancelado #{unidadZonaHomogenea.id}" />
                                <p:graphicImage value="/imagesColorCircles/datoFinal.png"
                                                height="13" width="13"
                                                rendered="#{unidadZonaHomogenea.cancelaInscribe=='I'}"
                                                title="Inscrito #{unidadZonaHomogenea.id}" />
                                <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                                height="13" width="13"
                                                rendered="#{unidadZonaHomogenea.cancelaInscribe=='M'}"
                                                title="Asociado/Modificado #{unidadZonaHomogenea.id}" />
                            </p:column>

                            <p:column headerText="Zona Física">
                                <h:outputText value="#{unidadZonaHomogenea.zonaFisica}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Zona Geoeconómica">
                                <h:outputText value="#{unidadZonaHomogenea.zonaGeoeconomica}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Area terreno">
                                <h:outputText value="#{unidadZonaHomogenea.area}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Valor unidad de terreno"
                                      styleClass="moneyColumn">
                                <h:outputText value="#{unidadZonaHomogenea.valorM2Terreno}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Avalúo parcial terreno"
                                      styleClass="moneyColumn">
                                <h:outputText value="#{unidadZonaHomogenea.avaluo}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                        </p:dataTable>
                    </h:panelGrid>

                    <p:spacer height="10" />
                    <p:outputPanel layout="block" style="text-align:left">

                        <h:outputLabel value="Avalúo total del terreno común: "
                                       styleClass="outputLabelStyle" />
                        <p:spacer height="0" width="25" />
                        <h:outputText value="#{managedBeanParam.avaluoTotalTerrenoComun}"
                                      id="avaluoTotalDelTerrenoComunFichaMatriz"
                                      style="width:50px;height:14px;">
                            <f:convertNumber type="number" />
                        </h:outputText>
                        <p:spacer height="0" width="25" />

                    </p:outputPanel>


                    <p:spacer height="10" />

                    <p:outputPanel layout="block" style="text-align:right"
                                   rendered="#{proyectarConservacion.tramite.englobeVirtual || proyectarConservacion.tramite.rectificacionArea}">

                        <p:commandButton id="historicoZonasBtn"
                                         update=":tabView1:gestionDetalleAvaluoForm,:consultaZonaForm" value="Historico zonas"
                                         process="@this" title="Historico zonas" icon="ui-icon-extlink"
                                         action="#{gestionDetalleAvaluo.cargaHistoricoZonasPredio}"
                                         oncomplete="historicoZonasWV.show()" />

                        <p:spacer width="10" />

                        <p:commandButton id="registrarZonasBtn" rendered="#{gestionDetalleAvaluo.habilitaHistYRegZonas}"
                                         update=":tabView1:gestionDetalleAvaluoForm,:tabView1:gestionDetalleAvaluoForm,:registraZonasForm" 
                                         value="Registrar zonas" title="Registrar zonas" icon="ui-icon-extlink" process="@this"
                                         oncomplete="registrarZonasWV.show()" />
                    </p:outputPanel>
                </div>
            </p:fieldset>
        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tramite.englobeVirtual}"
                     width="100%" 
                     style="border: 0px" id="panelGeneralidadesMixto">			
            <p:fieldset>
                <legend> <h:outputLabel
                        value="Generalidades del PH/Condominio/Mixto"
                        styleClass="legendTitle" /> </legend>
                <div style="overflow: auto; width: 100%;">
                    <p:spacer height="10" />
                    <ui:include src="generalidadesPHCondominioMixto.xhtml">
                        <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
                    </ui:include>
                </div>
            </p:fieldset>

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tramite.tipoInscripcionPH and !managedBeanParam.tramite.englobeVirtual}"
                     width="100%" 
                     style="border: 0px" id="panelGeneralidadesPH">			
            <p:fieldset>
                <legend> <h:outputLabel
                        value="Generalidades de la propiedad horizontal"
                        styleClass="legendTitle" /> </legend>
                <div style="overflow: auto; width: 80%;">
                    <p:spacer height="10" />
                    <ui:include src="generalidadesPropiedadHorizontal.xhtml">
                        <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
                    </ui:include>
                </div>
            </p:fieldset>

        </h:panelGrid>

        <h:panelGrid id="panelGeneralidadesDelCondominio"
                     rendered="#{managedBeanParam.tramite.tipoInscripcionCondominio and !managedBeanParam.tramite.englobeVirtual}"
                     style="border: 0px" width="100%">
            <p:fieldset>
                <legend> 
                    <h:outputLabel
                        value="Generalidades del condominio" styleClass="legendTitle" /> </legend>
                <div style="overflow: auto; width: 80%;">					
                    <p:spacer height="10" />				
                    <p:messages id="msgGeneralidadesCondominio" showDetail="false"	globalOnly="false" />
                    <h:panelGrid columns="2" columnClasses="colMediana" 
                                 rendered="#{!managedBeanParam.tramite.desenglobeEtapas 
                                             and !managedBeanParam.tramite.terceraMasiva 
                                             and !managedBeanParam.tramite.cancelacionMasiva 
                                             and !managedBeanParam.tramite.quintaMasivo }">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Total unidades privadas"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" >
                            <h:inputText id="totalUnidadesPrivadasCondominio"
                                         disabled="#{rc.dh or !proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}" required="true"
                                         label="Total unidades privadas"
                                         value="#{managedBeanParam.fichaMatriz.totalUnidadesPrivadas}"
                                         maxlength="4" />
                            <p:message for="totalUnidadesPrivadasCondominio" display="icon"
                                       id="msgtotalUnidadesPrivadasCondominio" />
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="2" columnClasses="colMediana" 
                                 rendered="#{managedBeanParam.tramite.desenglobeEtapas 
                                             or managedBeanParam.tramite.terceraMasiva
                                             or managedBeanParam.tramite.cancelacionMasiva
                                             or managedBeanParam.tramite.quintaMasivo}">

                        <h:panelGrid>
                            <h:outputLabel value="Total unidades:" styleClass="outputLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid>
                            <h:inputText id="totalUnidadesCondominioEtapas" disabled="true" label="Total unidades"
                                         value="#{managedBeanParam.totalUnidadesCondominioEtapas}" maxlength="4" />
                        </h:panelGrid>

                        <h:panelGrid>
                            <h:outputLabel value="Unidades Privadas existentes:" styleClass="outputLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid>
                            <h:inputText id="unidadesExistentesCondominioEtapas" disabled="true" label="Unidades privadas existentes"
                                         value="#{managedBeanParam.unidadesExistentesCondominioEtapas}" maxlength="4" />
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Unidades eliminadas" styleClass="outputLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" >
                            <h:inputText id="unidadesPrivadasEliminarCondominioEtapas"
                                         disabled="true" label="Unidades eliminadas" value="#{managedBeanParam.unidadesEliminarCondominioEtapas}" />
                        </h:panelGrid>

                        <h:panelGrid columns="2" rendered="#{!managedBeanParam.tramite.terceraMasiva}">
                            <h:outputLabel value="Unidades privadas nuevas" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" rendered="#{!managedBeanParam.tramite.terceraMasiva}">
                            <h:inputText id="unidadesPrivadasNuevasCondominioEtapas"
                                         disabled="#{(rc.dh and !proyectarConservacion.tramite.desenglobeEtapas) or !proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}" required="true"
                                         label="Unidades privadas nuevas" value="#{managedBeanParam.unidadesNuevasCondominioEtapas}"
                                         maxlength="4" />
                            <p:message for="unidadesPrivadasNuevasCondominioEtapas" display="icon"
                                       id="msgUnidadesPrivadasNuevasCondominioEtapas" />
                        </h:panelGrid>

                    </h:panelGrid>

                    <p:spacer height="30" width="0"/>

                    <p:commandButton value="Aceptar" update="panelGeneralidadesDelCondominio"
                                     rendered="#{proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                                     title="Aceptar total unidades privadas y unidades sotanos del condominio"
                                     process="@this, panelGeneralidadesDelCondominio" icon="ui-icon-check"
                                     disabled="#{entradaProyeccion.tramite.terceraMasiva 
                                                 or entradaProyeccion.tramite.cancelacionMasiva}"
                                     action="#{managedBeanParam.aceptarUnidadesPrivadasCondominio}" />
                </div>
            </p:fieldset>
        </h:panelGrid>

        <p:panel header="Información de bienes comunes de PH/condominio - Construcciones" id="panelContrucciones">

            <p:spacer height="20"/>
            <ui:include src="unidadesConstruccionVigentesEV.xhtml">

            </ui:include>

            <p:messages id="msgUConstruccion" showDetail="false" globalOnly="false" />

            <p:fieldset rendered="#{proyectarConservacion.tramite.segundaDesenglobe and not
                                    proyectarConservacion.tramite.desenglobeEtapas}">
                <legend>
                    <h:outputLabel value="Unidades de construcción del predio origen" styleClass="legendTitle" />
                </legend>
                <div style="overflow: auto; width: 100%;">
                    <ui:include src="unidadesConstruccionesPredioOriginal.xhtml">
                        <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
                        <ui:param name="mostrarSeleccion" 
                                  value="#{proyectarConservacion.condicion8o9 
                                           and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                           and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}" />
                        <ui:param name="styleButtonParam" 
                                  value="#{(proyectarConservacion.predioSeleccionado.esPredioFichaMatriz)? 'text-align:left' : 'text-align:right' }" />
                    </ui:include>
                </div>
            </p:fieldset>
            <p:spacer height="10"/>

            <p:fieldset rendered="#{!proyectarConservacion.tramite.englobeVirtual}">
                <legend> <h:outputLabel
                        value="Unidades construcciones vigentes" styleClass="legendTitle" />
                </legend>
                <div style="overflow: auto; width: 100%;">
                    <ui:include src="unidadesConstruccionesVigentes.xhtml">
                        <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
                        <ui:param name="mostrarSeleccion" value="#{proyectarConservacion.condicion8o9 
                                                                   and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                                                   and !proyectarConservacion.tramite.quintaOmitido 
                                                                   and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}" />
                    </ui:include>
                </div>
            </p:fieldset>
            <p:spacer height="10"/>
            <p:fieldset rendered="#{!proyectarConservacion.tramite.quintaOmitido and !proyectarConservacion.tramite.englobeVirtual}">
                <legend> <h:outputLabel value="Unidades de construcción nuevas" styleClass="legendTitle" />
                </legend>
                <div style="overflow: auto; width: 100%;">
                    <ui:include src="unidadesConstruccionesNuevas.xhtml">
                        <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
                        <ui:param name="mostrarSeleccion" 
                                  value="#{proyectarConservacion.condicion8o9 
                                           and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                           and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}" />
                    </ui:include>
                </div>
            </p:fieldset>
        </p:panel>


        <h:panelGrid width="100%">
            <p:fieldset>
                <legend> <h:outputLabel
                        value="Tipos de modelos de construcción"
                        styleClass="legendTitle" /> </legend>
                <div style="overflow: auto; width: 80%;">
                    <ui:include src="modelosDeUnidadesDeConstruccion.xhtml">
                        <ui:param name="managedBeanParam" value="#{proyectarConservacion}" />
                        <ui:param name="editable" value="#{proyectarConservacion.condicion8o9
                                                           and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo
                                                           and !proyectarConservacion.tramite.quintaOmitido
                                                           and !proyectarConservacion.tramite.quintaMasivo
                                                           and proyectarConservacion.predioSeleccionado.esPredioFichaMatriz
                                                           and !proyectarConservacion.tramite.rectificacionMatriz}" />
                        <ui:param name="esSeccionFichaMatriz" value="true" />
                    </ui:include>
                </div>
            </p:fieldset>
        </h:panelGrid>

        <h:panelGrid width="100%"
                     rendered="#{proyectarConservacion.condicion8o9
                                 and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo 
                                 and !(proyectarConservacion.tramite.quintaOmitido and not proyectarConservacion.tramite.quintaMasivo)}">
            <p:fieldset>
                <legend> <h:outputLabel value="Número predial resultante"
                                        styleClass="legendTitle" /> </legend>

                <div style="overflow: auto; width: 80%;">
                    <h:panelGrid
                        id="numeroPredialResultantePanelGrid" width="100%">

                        <p:messages id="msgCoeficientes" showDetail="false"
                                    globalOnly="false" />

                        <h:panelGrid columns="5" cellspacing="5">
                            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{managedBeanParam.predioDesenglobe.departamento.nombre}"
                                styleClass="outputTextStyle" />
                            <p:spacer width="40"/>
                            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{managedBeanParam.predioDesenglobe.municipio.nombre}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="3" rendered="#{entradaProyeccion.tramite.terceraMasiva
                                                             or entradaProyeccion.tramite.rectificacionMatriz
                                                             or entradaProyeccion.tramite.englobeVirtual}">
                            <h:outputLabel value="Búsqueda: "
                                           styleClass="outputLabelStyle" />

                            <h:inputText value="#{managedBeanParam.numeroPredialBusquedaPFichaMatrizPredios}" title="Búsqueda"
                                         label="Búsqueda" maxlength="30" size="50" id="numeroPredialBusquedaFMP" />
                            <p:commandButton widgetVar="buscarBtn" id="buscarBtn"
                                             icon="ui-icon ui-icon-search"
                                             update="tablaNumerosPredialesResultantes"
                                             process="numeroPredialBusquedaFMP,@this"
                                             action="#{managedBeanParam.filtrarPPrediosResultantesFichaMatrizPredio}"
                                             onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />

                            <p:spacer width="0" height="5" />

                        </h:panelGrid>

                        <p:dataTable var="fichaMatrizPredio" id="tablaNumerosPredialesResultantes"
                                     value="#{managedBeanParam.fichaMatriz.PFichaMatrizPredios}"
                                     paginator="true" rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     emptyMessage="No existen predios resultantes a mostrar">

                            <p:column style="text-align:center">
                                <f:facet name="header">
                                    <h:selectBooleanCheckbox value="#{fichaMatriz.selectedAllBool}">
                                        <p:ajax process="@this"
                                                update=":tabView1:gestionarFichaMatrizForm:tablaNumerosPredialesResultantes, 
                                                :tabView1:gestionarFichaMatrizForm:retirarNumeroPredialBtn, 
                                                :tabView1:gestionarFichaMatrizForm:coeficienteCopropiedadBtn,
                                                :tabView1:gestionarFichaMatrizForm:coeficienteCopropiedadBtnRect,
                                                :tabView1:gestionarFichaMatrizForm:activarPredioBtn, 
                                                :tabView1:gestionarFichaMatrizForm:modificarNumeroPredialBtn,
                                                :tabView1:gestionarFichaMatrizForm:msgCoeficientes"
                                                listener="#{fichaMatriz.seleccionarTodosPrediosGenerados}" />
                                    </h:selectBooleanCheckbox>
                                </f:facet>

                                <h:selectBooleanCheckbox value="#{fichaMatrizPredio.selected}" >
                                    <p:ajax process="@this"
                                            update=":tabView1:gestionarFichaMatrizForm:retirarNumeroPredialBtn, 
                                            :tabView1:gestionarFichaMatrizForm:coeficienteCopropiedadBtn, 
                                            :tabView1:gestionarFichaMatrizForm:coeficienteCopropiedadBtnRect,
                                            :tabView1:gestionarFichaMatrizForm:activarPredioBtn, 
                                            :tabView1:gestionarFichaMatrizForm:modificarNumeroPredialBtn,
                                            :tabView1:gestionarFichaMatrizForm:msgCoeficientes"
                                            listener="#{fichaMatriz.updateSelectedPrediosGenerados}">
                                    </p:ajax>
                                </h:selectBooleanCheckbox>
                            </p:column>

                            <p:column headerText="Número predial" sortBy="#{fichaMatrizPredio.formattedNumeroPredialCompleto}"
                                      rendered="#{!fichaMatriz.tramite.desenglobeEtapas and 
                                                  !fichaMatriz.tramite.terceraMasiva and 
                                                  !fichaMatriz.tramite.quintaMasivo and !fichaMatriz.tramite.rectificacionMatriz}">
                                <h:outputText
                                    value="#{fichaMatrizPredio.formattedNumeroPredialCompleto}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                            <!-- Desenglobe por etapas-->
                            <p:column sortBy="#{fichaMatrizPredio.numeroPredialAntiguoConFormato}" 
                                      rendered="#{fichaMatriz.tramite.desenglobeEtapas or fichaMatriz.tramite.terceraMasiva or fichaMatriz.tramite.quintaMasivo or fichaMatriz.tramite.rectificacionMatriz}">
                                <f:facet name="header">Número predial</f:facet>
                                <h:outputText styleClass="outputTextStyle" value="#{fichaMatrizPredio.numeroPredialAntiguoConFormato}" />
                            </p:column>

                            <p:column sortBy="#{fichaMatrizPredio.numeroPredialNuevoConFormato}" 
                                      rendered="#{fichaMatriz.tramite.desenglobeEtapas or fichaMatriz.tramite.terceraMasiva or fichaMatriz.tramite.quintaMasivo  or fichaMatriz.tramite.rectificacionMatriz}"> 
                                <f:facet name="header">Número predial nuevo</f:facet>
                                <h:outputText styleClass="outputTextStyle" value="#{fichaMatrizPredio.numeroPredialNuevoConFormato}" />
                            </p:column>

                            <p:column styleClass="numberColumn">
                                <f:facet name="header">
                                    Coeficiente<br /> de<br />copropiedad
                                </f:facet>
                                <h:outputText value="#{fichaMatrizPredio.coeficiente}"
                                              styleClass="outputTextStyle">
                                    <f:convertNumber type="number" groupingUsed="true" minFractionDigits="16" pattern="#0.000000##########"/>
                                </h:outputText>
                            </p:column>

                        </p:dataTable>

                        <h:panelGrid columns="6" cellpadding="5" cellspacing="5" 
                                     rendered="#{proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}">

                            <p:commandButton value="Adicionar predio" 
                                             disabled="#{(rc.dh or proyectarConservacion.tramite.terceraMasiva) 
                                                         and !proyectarConservacion.tramite.desenglobeEtapas}"
                                             oncomplete="detallePredioPHOCondominioWV.show()"
                                             update=":detallePredioPHOCondominioForm, msgFichaMatriz"
                                             action="#{managedBeanParam.cargarPredios}" process="@this"
                                             id="adicionarPredioPHOCondominioBtn" icon="ui-icon-plus"
                                             title="Adicionar predio">
                                <f:setPropertyActionListener value="true"
                                                             target="#{fichaMatriz.unicaUnidadBool}" />
                            </p:commandButton>

                            <p:commandButton value="Generar predios" 
                                             disabled="#{(rc.dh or proyectarConservacion.tramite.terceraMasiva) 
                                                         and !proyectarConservacion.tramite.desenglobeEtapas}"
                                             action="#{managedBeanParam.cargarPredios}" process="@this"
                                             update=":detallePredioPHOCondominioForm, msgFichaMatriz"
                                             oncomplete="detallePredioPHOCondominioWV.show()"
                                             id="generarPrediosBtn"
                                             icon="ui-icon-calculator" title="Generar predios">
                                <f:setPropertyActionListener value="true"
                                                             target="#{fichaMatriz.torreCargadaBool}" />
                                <f:setPropertyActionListener value="false"
                                                             target="#{fichaMatriz.unicaUnidadBool}" />
                            </p:commandButton>

                            <p:commandButton value="Retirar Predio" ajax="true"
                                             disabled="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados) le 0 or proyectarConservacion.tramite.terceraMasiva}"
                                             process="@this" widgetVar="retirarNumeroPredialBtn"
                                             update=":tabView1:gestionarFichaMatrizForm:tablaNumerosPredialesResultantes, :tabView1:gestionarFichaMatrizForm:msgCoeficientes, 
                                             :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :tabView1:gestionarFichaMatrizForm"
                                             oncomplete="handleCompleteSIC(xhr, status,args, confirmRetirarNumeroPredialWV, true);"
                                             id="retirarNumeroPredialBtn" icon="ui-icon-trash"
                                             rendered="#{!fichaMatriz.tramite.rectificacionMatriz and !fichaMatriz.tramite.cancelacionMasiva}"
                                             title="Retirar predio">
                            </p:commandButton>

                            <p:commandButton value="Activar Predio"
                                             rendered="#{fichaMatriz.tramite.desenglobeEtapas or (fichaMatriz.tramite.quintaMasivo and fichaMatriz.tramite.quintaOmitido)}"
                                             widgetVar="activarPredioBtn" ajax="true" process="@this"
                                             action="#{fichaMatriz.cargarPrediosDesactivados}"
                                             disabled="#{not managedBeanParam.activarPredios or proyectarConservacion.tramite.terceraMasiva}"
                                             oncomplete="handleCompleteSIC(xhr, status,args, activarPrediosWV, true);"
                                             update=":tabView1:gestionarFichaMatrizForm:tablaNumerosPredialesResultantes, 
                                             :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :detallePredioPHOCondominioForm, 
                                             :coeficienteCopropiedadFichaMatrizForm,
                                             :prediosDesactivadosForm"
                                             id="activarPredioBtn" icon="ui-icon-lightbulb"
                                             title="Activar Predio">
                            </p:commandButton>

                            <p:commandButton value="Asignar coeficiente copropiedad"
                                             widgetVar="coeficienteCopropiedadBtn" ajax="true" process="@this"
                                             action="#{fichaMatriz.cargarCoeficiente}"
                                             disabled="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados) le 0 
                                                         or ((rc.dhCoeficientePropiedad or proyectarConservacion.tramite.terceraMasiva) and !proyectarConservacion.tramite.desenglobeEtapas)}"
                                             oncomplete="coeficienteCopropiedadWV.show()"
                                             update=":tabView1:gestionarFichaMatrizForm:tablaNumerosPredialesResultantes, 
                                             :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, 
                                             :detallePredioPHOCondominioForm, :coeficienteCopropiedadFichaMatrizForm"
                                             id="coeficienteCopropiedadBtn" icon="ui-icon-tag"
                                             title="Coeficiente de copropiedad"
                                             rendered="#{!fichaMatriz.tramite.rectificacionMatriz}">
                            </p:commandButton>

                            <p:commandButton value="Asignar coeficiente copropiedad"
                                             ajax="true" process="@this"
                                             rendered="#{fichaMatriz.tramite.rectificacionMatriz}"
                                             action="#{fichaMatriz.cargarCoeficiente}"
                                             disabled="#{fn:length(managedBeanParam.fichaMatrizPrediosSeleccionados) le 0 or rc.dhCoeficienteCopropiedadMatriz}"
                                             oncomplete="coeficienteCopropiedadWV.show()"
                                             update=":tabView1:gestionarFichaMatrizForm:tablaNumerosPredialesResultantes, :tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :detallePredioPHOCondominioForm, :coeficienteCopropiedadFichaMatrizForm"
                                             id="coeficienteCopropiedadBtnRect" icon="ui-icon-tag"
                                             title="Coeficiente de copropiedad">
                            </p:commandButton>

                            <p:commandButton value="Modificar número predial" 
                                             disabled="#{not managedBeanParam.modificarPrediosMigracionBool}"
                                             rendered="#{fichaMatriz.tramite.desenglobeEtapas 
                                                         or fichaMatriz.tramite.rectificacionMatriz
                                                         or fichaMatriz.tramite.terceraMasiva
                                                         or fichaMatriz.tramite.quintaMasivo}"
                                             action="#{managedBeanParam.cargarPredios}"
                                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status,args, modificarNumeroPredialWV, true)"
                                             update=":modificarNumeroPredialForm, msgFichaMatriz, :tabView1:gestionarFichaMatrizForm:msgCoeficientes" process="@this"
                                             id="modificarNumeroPredialBtn" icon="ui-icon-battery-3"
                                             title="Modificar número predial">
                            </p:commandButton>

                            <p:commandButton value="Calcular zonas" icon="ui-icon-calculator" id="zonasConReplicaRM"
                                             rendered="#{!rc.dhZonasMatriz and rectificarArea.banderaReplicaConsulta and !rectificarArea.jobZonasPrevio}"
                                             action="#{rectificarArea.calcularZonasMatriz}" 
                                             update="msgCoeficientes"
                                             disabled="#{!proyectarConservacion.tramite.rectificacionMatriz}"
                                             title="Calcular zonas"/>

                            <p:commandButton value="Calcular zonas" icon="ui-icon-calculator" id="zonasSinReplicaRM"
                                             rendered="#{!rc.dhZonasMatriz and !rectificarArea.banderaReplicaConsulta
                                                         and !proyectarConservacion.tramite.segundaDesenglobe}"
                                             disabled="#{!proyectarConservacion.tramite.rectificacionMatriz}"
                                             onclick="confirmarGeneracionReplicaWV.show();"
                                             title="Generar copia de consulta"/>

                            <p:commandButton value="Calcular zonas" icon="ui-icon-calculator" id="zonasRecalculoRM"
                                             rendered="#{!rc.dhZonasMatriz 
                                                         and rectificarArea.banderaReplicaConsulta 
                                                         and rectificarArea.jobZonasPrevio
                                                         and !proyectarConservacion.tramite.segundaDesenglobe}"
                                             disabled="#{!proyectarConservacion.tramite.rectificacionMatriz}"
                                             onclick="confirmarRecalculoZonasWV.show();"
                                             title="Recalcular zonas"/>

                        </h:panelGrid>
                    </h:panelGrid></div>
            </p:fieldset>
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:left">
            <p:commandButton value="Guardar" widgetVar="guardarBtnWV"
                             id="guardarBtn" icon="ui-icon-disk"
                             update="gestionarFichaMatrizForm" rendered="#{!proyectarConservacion.condicion8o9 and !proyectarConservacion.tramite.esTramiteDeRevisionDeAvaluo}"
                             action="#{managedBeanParam.guardarPPredio}">
            </p:commandButton>

            <p:spacer height="50" width="50" />

        </p:outputPanel>
    </h:form>

</p:panel>
